From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/mariadb-connector-c/
Date: Wed, 24 Feb 2021 14:40:28 +0000 (UTC) [thread overview]
Message-ID: <1614177624.422b1418f6562fdf4755fb659aeb5ac283b68bb8.whissi@gentoo> (raw)
commit: 422b1418f6562fdf4755fb659aeb5ac283b68bb8
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 24 14:39:02 2021 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Feb 24 14:40:24 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=422b1418
dev-db/mariadb-connector-c: bump to v3.1.12
Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
dev-db/mariadb-connector-c/Manifest | 1 +
.../mariadb-connector-c-3.1.12.ebuild | 89 ++++++++++++++++++++++
2 files changed, 90 insertions(+)
diff --git a/dev-db/mariadb-connector-c/Manifest b/dev-db/mariadb-connector-c/Manifest
index 3b6bbb7078b..741d65dda0f 100644
--- a/dev-db/mariadb-connector-c/Manifest
+++ b/dev-db/mariadb-connector-c/Manifest
@@ -1 +1,2 @@
DIST mariadb-connector-c-3.1.11-src.tar.gz 752342 BLAKE2B 5bee575bffdceb1eff60b7ba3fa334882cf2b2a12446cd6c52663cc5ce2e179bcd19c8452e9bdae3877ac7e9e08f4f6a974d136170c399439c42e1759d226c84 SHA512 2da3a5e438037dde2b9fafb07c084c742983ff4ce18f06cf7a34836aace5317cdb2ddb1bca63143367f5ae827c988d99ee20e8f598fabdb06190d9e2191eb3f4
+DIST mariadb-connector-c-3.1.12-src.tar.gz 966702 BLAKE2B 8187199f43ccb6f92ea9df61a1f62e48dbef4744cda9a5e865f71038e47a65dea3ed094dd76d81d0d8d357a8d611a9770590a3504c297ea30f59f285ab511d17 SHA512 a46e8ec976c28e227a72f09c15c92126d178b422a92a4c90fd52c8053604c3309aeb3bd098dc63fbd0d87059d5360c8b63d76e61a1152e7a3e7145e13681453d
diff --git a/dev-db/mariadb-connector-c/mariadb-connector-c-3.1.12.ebuild b/dev-db/mariadb-connector-c/mariadb-connector-c-3.1.12.ebuild
new file mode 100644
index 00000000000..f5b20304f80
--- /dev/null
+++ b/dev-db/mariadb-connector-c/mariadb-connector-c-3.1.12.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+VCS_INHERIT=""
+if [[ "${PV}" == 9999 ]] ; then
+ VCS_INHERIT="git-r3"
+ EGIT_REPO_URI="https://github.com/MariaDB/mariadb-connector-c.git"
+else
+ MY_PN=${PN#mariadb-}
+ MY_PV=${PV/_b/-b}
+ SRC_URI="https://downloads.mariadb.org/f/${MY_PN}-${PV%_beta}/${PN}-${MY_PV}-src.tar.gz?serve -> ${P}-src.tar.gz"
+ S="${WORKDIR%/}/${PN}-${MY_PV}-src"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+fi
+
+inherit cmake-utils multilib-minimal toolchain-funcs ${VCS_INHERIT}
+
+MULTILIB_CHOST_TOOLS=( /usr/bin/mariadb_config )
+
+MULTILIB_WRAPPED_HEADERS+=(
+ /usr/include/mariadb/mariadb_version.h
+)
+
+DESCRIPTION="C client library for MariaDB/MySQL"
+HOMEPAGE="https://mariadb.org/"
+LICENSE="LGPL-2.1"
+
+SLOT="0/3"
+IUSE="+curl gnutls kerberos libressl +ssl static-libs test"
+
+RESTRICT="!test? ( test )"
+
+DEPEND="sys-libs/zlib:=[${MULTILIB_USEDEP}]
+ virtual/libiconv:=[${MULTILIB_USEDEP}]
+ curl? ( net-misc/curl:0=[${MULTILIB_USEDEP}] )
+ kerberos? ( || ( app-crypt/mit-krb5[${MULTILIB_USEDEP}]
+ app-crypt/heimdal[${MULTILIB_USEDEP}] ) )
+ ssl? (
+ gnutls? ( >=net-libs/gnutls-3.3.24:0=[${MULTILIB_USEDEP}] )
+ !gnutls? (
+ libressl? ( dev-libs/libressl:0=[${MULTILIB_USEDEP}] )
+ !libressl? ( dev-libs/openssl:0=[${MULTILIB_USEDEP}] )
+ )
+ )
+ "
+RDEPEND="${DEPEND}"
+PATCHES=(
+ "${FILESDIR}"/gentoo-layout-3.0.patch
+ "${FILESDIR}"/${PN}-3.1.3-fix-pkconfig-file.patch
+)
+
+src_configure() {
+ # bug 508724 mariadb cannot use ld.gold
+ tc-ld-disable-gold
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ -DWITH_EXTERNAL_ZLIB=ON
+ -DWITH_SSL:STRING=$(usex ssl $(usex gnutls GNUTLS OPENSSL) OFF)
+ -DWITH_CURL=$(usex curl ON OFF)
+ -DWITH_ICONV=ON
+ -DCLIENT_PLUGIN_AUTH_GSSAPI_CLIENT:STRING=$(usex kerberos DYNAMIC OFF)
+ -DMARIADB_UNIX_ADDR="${EPREFIX}/var/run/mysqld/mysqld.sock"
+ -DINSTALL_LIBDIR="$(get_libdir)"
+ -DINSTALL_PCDIR="$(get_libdir)/pkgconfig"
+ -DINSTALL_PLUGINDIR="$(get_libdir)/mariadb/plugin"
+ -DINSTALL_BINDIR=bin
+ -DWITH_UNIT_TESTS=$(usex test ON OFF)
+ )
+ cmake-utils_src_configure
+}
+
+multilib_src_compile() {
+ cmake-utils_src_compile
+}
+
+multilib_src_install() {
+ cmake-utils_src_install
+}
+
+multilib_src_install_all() {
+ if ! use static-libs ; then
+ find "${D}" -name "*.a" -delete || die
+ fi
+}
next reply other threads:[~2021-02-24 14:40 UTC|newest]
Thread overview: 106+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-02-24 14:40 Thomas Deutschmann [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-03-04 4:57 [gentoo-commits] repo/gentoo:master commit in: dev-db/mariadb-connector-c/ Sam James
2024-03-04 4:53 Sam James
2023-03-08 4:52 Sam James
2023-01-18 22:52 Sam James
2023-01-18 21:54 Sam James
2023-01-18 21:54 Sam James
2023-01-18 21:54 Sam James
2023-01-18 21:54 Sam James
2022-10-31 2:20 Sam James
2022-10-31 2:20 Sam James
2022-10-08 16:54 Sam James
2022-09-25 1:27 Sam James
2022-08-29 18:46 Agostino Sarubbo
2022-08-29 18:45 Agostino Sarubbo
2022-08-28 18:03 Arthur Zamarin
2022-08-28 16:32 Arthur Zamarin
2022-08-28 16:32 Arthur Zamarin
2022-08-28 16:32 Arthur Zamarin
2022-08-12 12:26 WANG Xuerui
2022-08-12 12:26 WANG Xuerui
2022-03-10 14:00 David Seifert
2021-11-16 18:30 Thomas Deutschmann
2021-11-15 1:12 Sam James
2021-10-15 14:33 Thomas Deutschmann
2021-09-07 2:43 Sam James
2021-07-14 6:22 Agostino Sarubbo
2021-07-14 6:21 Agostino Sarubbo
2021-07-14 6:20 Agostino Sarubbo
2021-07-14 6:20 Agostino Sarubbo
2021-07-13 21:04 Thomas Deutschmann
2021-07-05 16:53 Marek Szuba
2021-05-14 17:32 Thomas Deutschmann
2021-05-14 17:32 Thomas Deutschmann
2021-05-03 8:07 Mikle Kolyada
2021-03-08 0:29 Thomas Deutschmann
2021-03-02 17:15 Thomas Deutschmann
2020-11-27 17:53 Thomas Deutschmann
2020-11-27 16:04 Agostino Sarubbo
2020-11-27 8:42 Agostino Sarubbo
2020-11-27 7:55 Agostino Sarubbo
2020-11-26 8:32 Sam James
2020-11-26 8:14 Sam James
2020-11-25 22:38 Sergei Trofimovich
2020-11-25 12:14 Agostino Sarubbo
2020-11-25 11:51 Thomas Deutschmann
2020-11-09 15:31 Thomas Deutschmann
2020-09-21 12:08 Thomas Deutschmann
2020-09-21 11:59 Thomas Deutschmann
2020-07-26 2:05 Thomas Deutschmann
2020-06-29 19:54 Sergei Trofimovich
2020-06-28 20:56 Thomas Deutschmann
2020-06-28 20:40 Agostino Sarubbo
2020-06-28 20:37 Agostino Sarubbo
2020-06-28 20:30 Agostino Sarubbo
2020-06-28 20:27 Agostino Sarubbo
2020-06-28 7:49 Sergei Trofimovich
2020-06-27 20:41 Mart Raudsepp
2020-06-25 21:43 Thomas Deutschmann
2020-05-25 11:48 Thomas Deutschmann
2020-04-01 21:25 Thomas Deutschmann
2020-04-01 21:12 Mart Raudsepp
2020-02-22 14:19 Sergei Trofimovich
2020-02-17 12:25 Agostino Sarubbo
2020-02-17 12:17 Agostino Sarubbo
2020-02-17 11:53 Agostino Sarubbo
2020-02-17 11:45 Agostino Sarubbo
2020-02-16 21:14 Thomas Deutschmann
2020-02-15 19:30 Sergei Trofimovich
2020-02-15 12:16 Mikle Kolyada
2020-02-14 15:30 Thomas Deutschmann
2019-12-26 10:23 Thomas Deutschmann
2019-12-26 10:23 Thomas Deutschmann
2019-11-17 21:54 Thomas Deutschmann
2019-11-17 21:54 Thomas Deutschmann
2019-11-17 20:32 Thomas Deutschmann
2019-10-05 0:37 Thomas Deutschmann
2019-07-30 22:10 Thomas Deutschmann
2019-07-30 21:39 Aaron Bauman
2019-07-08 16:29 Brian Evans
2019-03-15 19:09 Brian Evans
2019-02-28 3:09 Thomas Deutschmann
2018-12-26 20:06 Sergei Trofimovich
2018-11-09 18:18 Mikle Kolyada
2018-10-21 8:29 Sergei Trofimovich
2018-10-20 15:27 Mikle Kolyada
2018-10-20 15:24 Mikle Kolyada
2018-10-20 11:46 Sergei Trofimovich
2018-10-20 11:35 Sergei Trofimovich
2018-10-17 18:38 Sergei Trofimovich
2018-10-17 17:14 Thomas Deutschmann
2018-10-17 12:07 Thomas Deutschmann
2018-10-15 15:58 Thomas Deutschmann
2018-08-27 16:41 Thomas Deutschmann
2018-08-27 16:41 Thomas Deutschmann
2018-07-11 10:48 Tony Vroon
2018-06-25 20:14 Brian Evans
2018-05-17 17:52 Brian Evans
2018-05-15 17:41 Brian Evans
2018-04-14 11:25 Markus Meier
2018-03-08 20:01 Markus Meier
2018-03-04 11:13 Sergei Trofimovich
2018-03-03 17:56 Sergei Trofimovich
2018-03-02 12:17 Jeroen Roovers
2018-03-02 8:07 Sergei Trofimovich
2018-03-02 2:10 Brian Evans
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1614177624.422b1418f6562fdf4755fb659aeb5ac283b68bb8.whissi@gentoo \
--to=whissi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox